Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 496697 - Review Request: ikvm - This package provides IKVM.NET
Summary: Review Request: ikvm - This package provides IKVM.NET
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-04-20 18:55 UTC by Mauricio Henriquez
Modified: 2010-08-13 22:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-13 22:26:46 UTC


Attachments (Terms of Use)

Description Mauricio Henriquez 2009-04-20 18:55:54 UTC
Spec URL: http://www.ic.uach.cl/mhenriquez/fedora10-monoRPMS/ikvm.spec
SRPM URL: http://www.ic.uach.cl/mhenriquez/fedora10-monoRPMS/ikvm-0.38.0.4-3.2.src.rpm
Description: This package provides IKVM.NET, an open source Java compatibility layer for Mono, which includes a Virtual Machine, a bytecode compiler, and
various class libraries for Java, as well as tools for Java and Mono
interoperability.

Comment 1 Colin Coe 2009-09-17 12:56:36 UTC
Have had a quick look at this...  Looks like you're distributing a binary distribution when the source is available.  Could you repackage using the source so that it can be built correctly for Fedora?

Also:
- You have the URL as 'http://www.ikvm.net' when it should really be the full URL to the source tarball or zip file.  Something like 'http://downloads.sourceforge.net/ikvm/ikvm-0.40.0.1.zip'.
- Please run 'rpmlint' on the SPEC and SRPM files and correct any errors found
- You need to use macros instead of things like '${RPM_BUILD_ROOT}/usr/lib/ikvm'.  i.e. ${RPM_BUILD_ROOT}%{_libdir}/ikvm.  (On a Fedora or RHEL box, have a look at /usr/lib/rpm/macros)
- The use of here documents is discouraged, please include the file as SOURCE1.
- The changelog is empty.  For the first package release, it should be something like:
* Wed Feb 11 2009 Mauricio Henriquez (buhochileno@gmail.com) -  0.38.0.4-3.2
Initial Packaging 

I'll review again when the above is addressed.

Thanks

CC

Comment 2 Toshio Kuratomi 2009-09-17 15:51:08 UTC
(In reply to comment #1)
> Have had a quick look at this...  Looks like you're distributing a binary
> distribution when the source is available.  Could you repackage using the
> source so that it can be built correctly for Fedora?
> 
> Also:
> - You have the URL as 'http://www.ikvm.net' when it should really be the full
> URL to the source tarball or zip file.  Something like
> 'http://downloads.sourceforge.net/ikvm/ikvm-0.40.0.1.zip'.

Note, URL: should remain http://www.ikvm.net
Source0: should be changed to something like http://downloads.sourceforge.net/ikvm/ikvm-0.40.0.1.zip

Comment 3 Colin Coe 2009-09-17 22:05:34 UTC
Ah, thanks for the clarification  :)

Comment 4 Rafael Aquini 2010-08-07 02:49:35 UTC
PING

It's been almost a year with no progress; This bug should be closed soon
if there is no response, shouldn't it?

Comment 5 Rafael Aquini 2010-08-13 22:26:46 UTC
Due to the lack of response, this review is now considered as stalled.
I'm closing this bug just as described in Fedora's Policy for stalled package reviews: http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.